Page MenuHomePhabricator

Disable mobile view
Closed, ResolvedPublic2 Estimated Story Points

Description

Disable current mobile view for 2ColConflict interface and show the legacy version on mobile.

Event Timeline

ecohen created this task.Apr 9 2020, 1:31 PM
ecohen moved this task from Backlog to Product backlog on the Two-Column-Edit-Conflict-Merge board.
Lena_WMDE updated the task description. (Show Details)Apr 23 2020, 9:30 AM
Lena_WMDE set the point value for this task to 2.

Change 594198 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/TwoColConflict@master] Temporarily disable new UI on mobile

https://gerrit.wikimedia.org/r/594198

It appears like this situation can only happen under rare circumstances. When I enable mobile view first and then cause an edit conflict, all I get is an error message telling me that a conflict happened.

What I have to do is:

  • Make sure I'm in desktop mode.
  • Start editing a page.
  • Cause an edit conflict in an incognito tab.
  • Try to save the first edit. Now I get the TwoColConflict UI.
  • Don't resolve the conflict yet. Instead, open a new tab and switch to mobile view in that tab.
  • Reload the first tab. Now a broken mobile experience is shown.

Note: It's only broken because neither the CSS nor the JavaScript is marked to load for mobile targets. This is easily fixed, see https://gerrit.wikimedia.org/r/592254 and T250942.

Change 594198 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Temporarily disable new UI on mobile

https://gerrit.wikimedia.org/r/594198

WMDE-Fisch closed this task as Resolved.May 12 2020, 11:37 AM
WMDE-Fisch claimed this task.
WMDE-Fisch moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2020-04-29 board.